## org.apache.lucene.queryParser.standard.config
Class DefaultPhraseSlopAttributeImpl

    java.lang.Object
      org.apache.lucene.util.AttributeImpl
          org.apache.lucene.queryParser.standard.config.DefaultPhraseSlopAttributeImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, DefaultPhraseSlopAttribute, org.apache.lucene.util.Attribute

    public class DefaultPhraseSlopAttributeImpl

extends org.apache.lucene.util.AttributeImpl
implements DefaultPhraseSlopAttribute

This attribute is used by `PhraseSlopQueryNodeProcessor` processor and must be defined in the `QueryConfigHandler`. This attribute tells the processor what is the default phrase slop when no slop is defined in a phrase.

See Also:
  `DefaultOperatorAttribute`, Serialized Form

Constructor Summary
`DefaultPhraseSlopAttributeImpl()`

Method Summary
`void` `clear()`
`void` `copyTo(org.apache.lucene.util.AttributeImpl target)`
`boolean` `equals(java.lang.Object other)`
`int` `getDefaultPhraseSlop()`
`int` `hashCode()`
`void` `setDefaultPhraseSlop(int defaultPhraseSlop)`
`java.lang.String` `toString()`

Methods inherited from class org.apache.lucene.util.AttributeImpl
`clone`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultPhraseSlopAttributeImpl

    public DefaultPhraseSlopAttributeImpl()

Method Detail

### setDefaultPhraseSlop

    public void setDefaultPhraseSlop(int defaultPhraseSlop)

  Specified by:
    `setDefaultPhraseSlop` in interface `DefaultPhraseSlopAttribute`

### getDefaultPhraseSlop

    public int getDefaultPhraseSlop()

  Specified by:
    `getDefaultPhraseSlop` in interface `DefaultPhraseSlopAttribute`

### clear

    public void clear()

  Specified by:
    `clear` in class `org.apache.lucene.util.AttributeImpl`

### copyTo

    public void copyTo(org.apache.lucene.util.AttributeImpl target)

  Specified by:
    `copyTo` in class `org.apache.lucene.util.AttributeImpl`

### equals

    public boolean equals(java.lang.Object other)

  Specified by:
    `equals` in class `org.apache.lucene.util.AttributeImpl`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `org.apache.lucene.util.AttributeImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.apache.lucene.util.AttributeImpl`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.